Skip to main content

Documentation Index

Fetch the complete documentation index at: https://api.docs.onlydrams.app/llms.txt

Use this file to discover all available pages before exploring further.

Returns

Returns a message response.

Parameters

filters.custom_fields
object
Filter by custom field values. The object should have custom field IDs as keys and either a single value or an array of values. Only collectables matching the specified custom field values will be returned. Multiple values for the same field are treated as OR (match any), while different fields are treated as AND (must match all).Example: { "123": "Value1", "456": ["Value2", "Value3"] } will return collectables that have custom field 123 with value “Value1” AND custom field 456 with value “Value2” OR “Value3”.
  curl -X POST https://api.onlydrams.app/api/v1/users/$USER_ID/collection/pimp/pick \
       -H "Content-Type: application/json" \
       -H "Authorization: Bearer $ACCESS_TOKEN" \
       -d '{
            "filters": {
              "includeUnopened": true,
              "proofLowest": 80,
              "proofHighest": 120,
              variety: ["bourbon", "rye"],
              rarity: ["rare", "unicorn"],
              custom_fields: {
                "123": "Value1",
                "456": ["Value2", "Value3"]
              }
            }
          }'
{
	"message": "Your review was submitted."
}